### Constructor

# Ide Range new_from_variant

#### Declaration

    IdeRange*
    ide_range_new_from_variant (
      GVariant* variant
    )

#### Description

No description available.

Available since: | 3.32

#### Parameters

`variant` | `GVariant`
| A `GVariant`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeRange`
| A new range or `NULL`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.